org.crosswire.common.config.swing

## Class AdvancedConfigEditor.AdvancedConfigureTreeModel

- java.lang.Object
- - org.crosswire.common.config.swing.TreeConfigEditor.ConfigureTreeModel
  - - org.crosswire.common.config.swing.AdvancedConfigEditor.AdvancedConfigureTreeModel

- All Implemented Interfaces:
    TreeModel
  Enclosing class:
    AdvancedConfigEditor

       class AdvancedConfigEditor.AdvancedConfigureTreeModel
      extends TreeConfigEditor.ConfigureTreeModel

  A custom data model for the TreeConfig Tree
  Author:
    Joe Walker

- - ### Field Summary

    - ### Fields inherited from class org.crosswire.common.config.swing.TreeConfigEditor.ConfigureTreeModel

      `listeners`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdvancedConfigEditor.AdvancedConfigureTreeModel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getChild(Object parent, int index)`
    `int` | `getChildCount(Object parent)`
    `protected List<String>` | `getChildren(String path)` Get a List of the children rooted at path
    `boolean` | `isLeaf(Object node)`

    - ### Methods inherited from class org.crosswire.common.config.swing.TreeConfigEditor.ConfigureTreeModel

      `addTreeModelListener, fireTreeStructureChanged, fireTreeStructureChanged, getIndexOfChild, getRoot, removeTreeModelListener, valueForPathChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdvancedConfigEditor.AdvancedConfigureTreeModel

          AdvancedConfigEditor.AdvancedConfigureTreeModel()

  - ### Method Detail

    - #### getChildren

          protected List<String> getChildren(String path)

      Description copied from class: `TreeConfigEditor.ConfigureTreeModel`
      Get a List of the children rooted at path
      Overrides:
        `getChildren` in class `TreeConfigEditor.ConfigureTreeModel`

    - #### getChild

          public Object getChild(Object parent,
                        int index)

      Specified by:
        `getChild` in interface `TreeModel`
      Overrides:
        `getChild` in class `TreeConfigEditor.ConfigureTreeModel`

    - #### getChildCount

          public int getChildCount(Object parent)

      Specified by:
        `getChildCount` in interface `TreeModel`
      Overrides:
        `getChildCount` in class `TreeConfigEditor.ConfigureTreeModel`

    - #### isLeaf

          public boolean isLeaf(Object node)

      Specified by:
        `isLeaf` in interface `TreeModel`
      Overrides:
        `isLeaf` in class `TreeConfigEditor.ConfigureTreeModel`